Classic dashboards
Base URL https://api.leadx.in/api/key/protected. Every request needs an apikey header — see Authentication.
10 endpoints.
GET /dashboard
Get all dashboard.
Auth apikey
:::note Used by the web app
components/DashboardComponent.jsx, pages/AddDashboard.jsx
:::
POST /dashboard
Create dashboard.
Auth apikey
:::note Used by the web app
components/DashboardComponent.jsx, pages/AddDashboard.jsx
:::
DELETE /dashboard
Delete dashboard.
Auth apikey
:::note Used by the web app
components/DashboardComponent.jsx, pages/AddDashboard.jsx
:::
GET /dashboard/:id
Get dashboard.
Auth apikey
:::note Used by the web app
components/DashboardComponent.jsx, pages/AddDashboard.jsx
:::
Path parameters
| Name | |
|---|---|
id | Required |
PUT /dashboard/:id
Update dashboard.
Auth apikey
:::note Used by the web app
components/DashboardComponent.jsx, pages/AddDashboard.jsx
:::
Path parameters
| Name | |
|---|---|
id | Required |
GET /dashboard/presets
Get dashboard presets.
Auth apikey
PUT /dashboard/reorder
Reorder dashboard.
Auth apikey
GET /dashboard/widget
Get all widget.
Auth apikey
DELETE /dashboard/widget
Delete widget.
Auth apikey
GET /dashboard/widget/:id
Get widget.
Auth apikey
Path parameters
| Name | |
|---|---|
id | Required |